package scripts.roles;

import scripts.*;
import jinro.*;

// Role: Lunatic
// Camp: Wolves

class Lunatic extends Civilian {
	def static order = 4;
	def static strings = Civilian.strings.attachBundle("roles/Lunatic.properties");
	def static number = 0;		// All roles must define own "number" property.
	def static bite = false;	// All roles must define own "bite" property.
	// Returns the proper number.
	def static getJustnumber(number) {
		if(number > 9) {
			return 1;
		} else {
			return 0;
		}
	}
	Lunatic(actor = null) {
		super(actor);
	}
	def getPriority() {
		return 90;
	}
	def getRoleName() {
		return strings.getString("lunatic");
	}
	// Judges victory or defeat.
	// if the result is... 0: civilians win, 1: wolves win, 2: foxes win
	def judge(result) {
		return result == 1;
	}
}
